Summary: A version control system
Name: cvs
Version: 1.11.23
Release: 1
License: GPL+
Group: Development/Tools
Source0: ftp://ftp.gnu.org/non-gnu/cvs/source/stable/%{version}/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnu.org/non-gnu/cvs/source/stable/%{version}/%{name}-%{version}.tar.bz2.sig
Source2: cvs.sh
Source3: cvs.csh
URL: http://www.cvshome.org/

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: autoconf >= 2.58, automake >= 1.7.9, libtool
BuildRequires: zlib-devel, info

Requires: zlib, info
Requires: /sbin/install-info

Patch0: cvs-1.11.22-cvspass.patch
Patch1: cvs-1.11.19-extzlib.patch
Patch2: cvs-1.11.19-netbsd-tag.patch
Patch3: cvs-1.11.19-abortabort.patch
Patch4: cvs-1.11.1p1-bs.patch
Patch5: cvs-1.11.21-proxy.patch
Patch7: cvs-1.11.19-logmsg.patch
Patch8: cvs-1.11.19-tagname.patch
Patch9: cvs-1.11.19-comp.patch
Patch11: cvs-1.11.19-tmp.patch
Patch13: cvs-1.11.21-diff.patch
Patch14: cvs-1.11.21-diff-kk.patch
Patch15: cvs-1.11.21-sort.patch
Patch17: cvs-1.11.22-ipv6-proxy.patch
Patch19: cvs-1.11.23-getline64.patch
Patch20: cvs-1.11.22-stdinargs.patch

%description
CVS (Concurrent Versions System) is a version control system that can
record the history of your files (usually, but not always, source
code). CVS only stores the differences between versions, instead of
every version of every file you have ever created. CVS also keeps a log
of who, when, and why changes occurred.

CVS is very helpful for managing releases and controlling the
concurrent editing of source files among multiple authors. Instead of
providing version control for a collection of files in a single
directory, CVS provides version control for a hierarchical collection
of directories consisting of revision controlled files. These
directories and files can then be combined together to form a software
release.

%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1 -b .cvspass
%patch1 -p1 -b .extzlib
%patch2 -p1 -b .netbsd-tag
%patch3 -p1 -b .abortabort
%patch4 -p1 -b .bs
%patch5 -p1 -b .proxy
%patch7 -p1 -b .log
%patch8 -p1
%patch9 -p1
%patch11 -p1 -b .tmp
%patch13 -p1 -b .diff
%patch14 -p1 -b .diff-kk
%patch15 -p1 -b .env
%patch17 -p1 -b .ipv6
%patch19 -p1 -b getline64
%patch20 -p1 -b .stdinargs


# Apply a patch to the generated files, OR
# run autoreconf and require autoconf >= 2.58, automake >= 1.7.9

%build
#autoreconf

export CC="xlc"
export CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE"

./configure \
    --prefix=%{_prefix} \
    --localstatedir=/var \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR="$RPM_BUILD_ROOT"

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/cvs* || true
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

mkdir -p ${RPM_BUILD_ROOT}/var/%{name}

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/cvs.sh
cp %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/cvs.csh
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/cvs*

# Don't let find provides to add csh to automatic requires
chmod a-x ${RPM_BUILD_ROOT}%{_datadir}/%{name}/contrib/sccs2rcs

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info /%{_infodir}/%{name}.info.gz %{_infodir}/dir || :
/sbin/install-info /%{_infodir}/cvsclient.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/cvsclient.info.gz %{_infodir}/dir || : 
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS BUGS COPYING* DEVEL-CVS FAQ HACKING MINOR-BUGS NEWS
%doc PROJECTS TODO README
%{_bindir}/*
%{_mandir}/man?/*
%{_infodir}/*.info*
%{_datadir}/%{name}
%dir /var/%{name}
%{_sysconfdir}/profile.d/*


%changelog
* Tue Aug 9 2016 Ravi Hirekurabar <rhirekur@in.ibm.com> - 1.11.23-1
- Initial Port. 
